## Index → Other information → Man pages

## Man pages: cherokee

This command-line tool is the main Cherokee executable. It is used as a safety net to invoke `cherokee-worker` and to ensure it is always functioning. It also plays an important role in the zero-downtime mechanism implemented to allow graceful restarts of the server.

This is the full information provided by the manpage.

NAME

  cherokee - Cherokee Web Server

SYNOPSIS

  cherokee [options]

DESCRIPTION

  `cherokee` is an extremely fast, flexible and embeddable web server.

OPTIONS

  This command will launch the Cherokee webserver. It accepts the following options:

  -h, --help

    Prints a brief help message and terminates execution

  -V, --version

    Prints Cherokee’s version and terminates execution

  -t, --test

    Perform a sanity check on the configuration file. The server will not run.

  -d, --detach

    Launches the server as a background process (default behaviour is to stay attached to the controlling terminal).

  -C<PATH>, --config=<PATH>

    Specifies an alternative path for the configuration file to use instead of the default cherokee.conf

  -p<PORT>, --port=<PORT>

    TCP port number to which the server will listen.

  -r<PATH>, --documentroot=<PATH>

    Launches a server exposing statically the specified directory. When launched with -r, the configuration file is ignored, and the Cherokee instance runs with its default values.

  -i, --print-server-info

    Print server technical information.

  -v, --valgrind

    Execute the worker process under Valgrind. Used only for development and troubleshooting purposes.

SIGNALS

  The following signals are supported by Cherokee:

  SIGHUP

    Restarts the server gracefully

  SIGUSR1

    Restarts the server closing all the opened connections

  SIGUSR2

    Reopens the log files

  SIGTERM

    Exits

SEE ALSO

  Cherokee can be run either with this command or `cherokee-worker`. This last option is discouraged if you are not developing though. Note that, for most systems, a startup/shutdown script such as /etc/init.d/cherokee is provided and will probably be the most convenient invocation method.